Metafunction
DefaultOverflowImplicit
The default overflow strategy for implicit resize.
DefaultOverflowImplicit<T>::Type
Include Headers
seqan/sequence.h
Parameters

T | Type for which the overflow strategy is determined. Types: Segment, String

Remarks
This function is used for functions that cause an implicit change of a container's size, like e.g. assign, append, and replace.
Return Values

Type | Expansion tag for type of T.

See Also
Overflow Strategy, DefaultOverflowExplicit
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50